#include <bits/stdc++.h>
using namespace std;

int K, N;


int main(){

    cin >> N >> K;
    int karte[N + 1];

    for(int i = 1; i < N + 1; i++){
        cin >> karte[i];
        karte[N + 1] = karte[1];
        if(karte[i] == K){
            cin >> karte[i + 1];
            cout << karte[i + 1] << endl;
            i++;
        }
    }

    return 0;
}